Description

I'm making printed maps in QGIS and need to know how the symbols and labels look exactly in a certain scale. I could select the scale in

the map view but everything is a little bit zoomed out. It's hard to see the details. I could go into the print composer and zoom in there to

have a closeup look but it's kind of a hassle to have two windows open all the time and in the print composer I have to refresh the map

each time I do a change.

So, I'd like to have the possibility to freeze the map view to a certain scale so that when I zoom in, the symbols etc stay in the selected

scale!

History

#1 - 2015-01-22 08:03 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi,

sorry this is not clear to me. You say

"I could select the scale in the map view but everything is a little bit zoomed out. It's hard to see the details..."

can't you make a further zoom in?

#2 - 2015-01-22 10:32 AM - Oskar Karlin

Yes, if I zoom in the scale changes to something else than 1:50000 which I'd like to have in the printed map. This is just for making the design faster.

#3 - 2015-01-23 03:56 AM - Giovanni Manghi

Oskar Karlin wrote:

Yes, if I zoom in the scale changes to something else than 1:50000 which I'd like to have in the printed map. This is just for making the design

faster.

so the porblem is that you would like the scale/extent in the composer always synchronized with the ones in the map canvas?

#4 - 2015-01-23 04:05 AM - Oskar Karlin

- File Screen_Shot_2015-01-23_at_13.03.49.png added
- File Screen_Shot_2015-01-23_at_13.03.32.png added

Well I rather would like to be able to fix all symbol/text/line sizes to a scale. So when I zoom in in the map canvas the symbols etc becomes bigger. As it is

now the symbols always stays the same size in the map canvas when zooming out or in.

See the attached images. As you can see the symbols have the same size regardless of the scale.

#5 - 2015-01-23 04:08 AM - Giovanni Manghi

Oskar Karlin wrote:

Well I rather would like to be able to fix all symbol/text/line sizes to a scale. So when I zoom in in the map canvas the symbols etc becomes bigger.

As it is now the symbols always stays the same size in the map canvas when zooming out or in.

See the attached images. As you can see the symbols have the same size regardless of the scale.

in the vector symbology you can set the size/width/whatever of symbols in map units rather then mm, this makes you achieve what you are asking. Please

try and report back (and with the rule based renderer you can have scale intervals where the symbology has fixed units, mm, and other where you use map

units).

#6 - 2015-01-23 04:39 AM - Oskar Karlin

I don't see any difference in using mm or map units. When I zoom in the symbol has the same size. It doesn't gets bigger as I want to.

I'd like the possibility to have a tick box in the map view saying "fix symbol sizes to this scale:" and then you can choose which scale the symbols should be

scaled for.

Like how the print composer works. There you can zoom in and out and the symbols follow.

I mean I could still do it that way but then the work flow becomes slow:

    1. change symbol size of an object

    2. click OK

    3. switch to print composer window

    4. click update preview

I'd rather:

    1. change symbol size of an object

    2. click apply

(and then see the right result in the map.

#7 - 2015-01-25 05:33 AM - Giovanni Manghi

Oskar Karlin wrote:

I don't see any difference in using mm or map units. When I zoom in the symbol has the same size. It doesn't gets bigger as I want to.
see this

https://www.dropbox.com/s/da0r4paurodrp6r/symbology_units.mp4?dl=0

#8 - 2015-01-26 02:23 AM - Oskar Karlin

You're right! Thanks!

The next challenge is to convert all the widths etc in mm to map units (which is meters and the scale is 1:60000).

#9 - 2015-01-29 07:34 AM - Giovanni Manghi

Oskar Karlin wrote:

You're right! Thanks!

means that this can be closed?

#10 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#11 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown
